import {createMuiTheme, Theme} from '@material-ui/core/styles';

// Generated by https://material-ui.com/customization/color/#color-tool
export const theme: Theme = createMuiTheme({
    palette: {
        primary: {
            light: "#566cb7",
            main: "#1f4287",
            dark: "#001c59",
            contrastText: "#ffffff",
        },
        secondary: {
            light: "#6ffff4",
            main: "#21e6c1",
            dark: "#00b391",
            contrastText: "#000000",
        },
        error: {
            light: "#ff6659",
            main: "#d32f2f",
            dark: "#9a0007",
            contrastText: "#ffffff",
        },
        // TODO skuska dark temy, cez type to nejako prepinat, zatial nechavame bielu
        // background: {
        //     default: "#121212",
        //     paper: "#333333"
        // },
        // text: {
        //     primary: "#ffffff",
        //     secondary: "#AAAAAA",
        //     disabled: "#AAAAAA",
        //     hint: "#ffffff",
        // },
        // divider: "#AAAAAA",
    },
});
